Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Interface StoreCache

All Superinterfaces:
  Cache

All Known Implementing Classes:
  StoreCacheImpl

    public interface StoreCache

extends Cache

Represents the L2 cache over the data store.

Since:
  0.4.1
Author:
  Abe White

Field Summary
`static String` | `NAME_DEFAULT`

Method Summary
`boolean` | `contains(Class cls, Object oid)` Whether the cache contains data for the given oid.
`boolean` | `containsAll(Class cls, Collection oids)` Whether the cache contains data for the given oids.
`boolean` | `containsAll(Class cls, Object... oids)` Whether the cache contains data for the given oids.
`void` | `evict(Class cls, Object oid)` Remove data for the given oid from the cache.
`void` | `evictAll()` Clear the cache.
`void` | `evictAll(Class cls, Collection oids)` Remove data for the given oids from the cache.
`void` | `evictAll(Class cls, Object... oids)` Remove data for the given oids from the cache.
`DataCache` | `getDelegate()` Deprecated. cast to `StoreCacheImpl` instead. This method pierces the published-API boundary, as does the SPI cast.
`CacheStatistics` | `getStatistics()` Gets the number of read/write/hit on this receiver in total and per class basis.
`void` | `pin(Class cls, Object oid)` Pin the data for the given oid to the cache.
`void` | `pinAll(Class cls, Collection oids)` Pin the data for the given oids to the cache.
`void` | `pinAll(Class cls, Object... oids)` Pin the data for the given oids to the cache.
`void` | `unpin(Class cls, Object oid)` Unpin the data for the given oid from the cache.
`void` | `unpinAll(Class cls, Collection oids)` Unpin the data for the given oids from the cache.
`void` | `unpinAll(Class cls, Object... oids)` Unpin the data for the given oids from the cache.

Methods inherited from interface javax.persistence.Cache
`evict`

Field Detail

### NAME_DEFAULT

    static final String NAME_DEFAULT

See Also:
  Constant Field Values

Method Detail

### contains

    boolean contains(Class cls,
                     Object oid)

  Whether the cache contains data for the given oid.

  Specified by:
    `contains` in interface `Cache`

### containsAll

    boolean containsAll(Class cls,
                        Object... oids)

  Whether the cache contains data for the given oids.

### containsAll

    boolean containsAll(Class cls,
                        Collection oids)

  Whether the cache contains data for the given oids.

### pin

    void pin(Class cls,
             Object oid)

  Pin the data for the given oid to the cache.

### pinAll

    void pinAll(Class cls,
                Object... oids)

  Pin the data for the given oids to the cache.

### pinAll

    void pinAll(Class cls,
                Collection oids)

  Pin the data for the given oids to the cache.

### unpin

    void unpin(Class cls,
               Object oid)

  Unpin the data for the given oid from the cache.

### unpinAll

    void unpinAll(Class cls,
                  Object... oids)

  Unpin the data for the given oids from the cache.

### unpinAll

    void unpinAll(Class cls,
                  Collection oids)

  Unpin the data for the given oids from the cache.

### evict

    void evict(Class cls,
               Object oid)

  Remove data for the given oid from the cache.

  Specified by:
    `evict` in interface `Cache`

### evictAll

    void evictAll(Class cls,
                  Object... oids)

  Remove data for the given oids from the cache.

### evictAll

    void evictAll(Class cls,
                  Collection oids)

  Remove data for the given oids from the cache.

### evictAll

    void evictAll()

  Clear the cache.

  Specified by:
    `evictAll` in interface `Cache`

### getStatistics

    CacheStatistics getStatistics()

  Gets the number of read/write/hit on this receiver in total and per class basis.

  Since:
    1.3.0

### getDelegate

    DataCache getDelegate()

  Deprecated. cast to `StoreCacheImpl` instead. This method pierces the published-API boundary, as does the SPI cast.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.